# Mediawiki

Complete latest stable docker mediawiki installation

---

Including software:
* Elastic search

Mediawiki extensions:
* AdvancedSearch
* CirrusSearch
* DynamicSidebar
* Elastica
* MobileFrontend
* Mpdf
* Popups
* TimedMediaHandler
* UserFunctions
* FontAwesome
* MonacoEditor
* RequireJS

Mediawiki themes:
* MinervaNeue
* Vector

## Build docker image
```sh
docker build .
```

## Installation
```sh
docker volume create mediawiki-images

docker run -d \
  --restart=unless-stopped \
  --link mariadb:mysql \
  -p 127.0.0.1:80:80 \
  -v mediawiki-images:/var/www/html/images \
  --name mediawiki \
  stuzer05/wiki:latest
```

## Upgrading
After installing new docker image, run database upgrage script
```sh
docker exec mediawiki /usr/local/bin/php /var/www/html/maintenance/update.php
```
